Subject: Re: 23.1; Problem with vc-next-action
From: Glenn Morris <[email-masked]>
To: [email-masked]
Date: Mon, 07 Mar 2011 04:00:20 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

[email-masked] wrote:

> 1. In the prompt mentioned above, (y or n) needs a space before it.

Fixed.

> 2. The file that was diagnosed as read only was not read-only: it had
>    perms -rw-r-----, and emacs was running under the ownerâ€™s uid.
>
> 3. The error mentioned above. I get the following backtrace:
>
> Debugger entered--Lisp error: (wrong-type-argument number-or-marker-p nil)

The only explanation I can come up with for 2 and 3 is that you somehow
lost execute permissions on the directory. Anyway, I made it give a more
explicit error if it fails to make the file writable. The user will have
to sort out whatever the problem is in such a case.